com.r3corda.node.services.clientapi / NodeInterestRates / FixContainer

# FixContainer

`class FixContainer`

Fix container, for every fix name & date pair stores a tenor to interest rate map - InterpolatingRateMap

### Constructors

<init> | `FixContainer(fixes: List<Fix>, factory: InterpolatorFactory = CubicSplineInterpolator)` Fix container, for every fix name & date pair stores a tenor to interest rate map - InterpolatingRateMap

### Properties

factory | `val factory: InterpolatorFactory`
size | `val size: Int`

### Functions

get | `operator fun get(fixOf: FixOf): Fix?`